=== modified file 'www/apps/browser/help.html'
--- www/apps/browser/help.html	2008-07-21 13:46:52 +0000
+++ www/apps/browser/help.html	2008-07-21 23:53:43 +0000
@@ -1,29 +1,35 @@
-<p>The IVLE <strong>File Browser</strong> is your way to access and edit your 
-files stored in IVLE</p>
-<h2>Getting Started with File Browser</h2>
+<p>The IVLE <strong>File Browser</strong> allows you to access and edit any files that you have stored in IVLE.</p>
+
+<h2>Getting started</h2>
 <h3>Navigating</h3>
-<p>The Filebrowser works very much like most other file browsers. When you open 
-the file browser you will be faced with a series of icons representing the 
-directories (the 'folder' icon) and files (the 'paper' icons) in your home 
-directory.  Clicking on the name of a directory will open the directory while 
-clicking the line or icon of a directory or file will mearly select it.  
-Multiple directories or files may be selected by clicking the checkbox in the 
-far left column. You can also browse up to a higher level directory by clicking 
-the required folder in the breadcrumb trail near the top of the window.</p>
-<h3>Adding Directories or Files</h3>
-<p>To create a new directory or file, open the <strong>More actions...</strong> 
-drop down box and select either <strong>New Directory</strong> or <strong>New 
-File</strong> under Directory actions.  A pop up box will appear asking for the 
-name of the new file. Enter the name and the file will appear in the current 
-directory. Another way is by <a href="#uploadingFiles">Uploading Files</a> from 
-your local computer.</p>
-<h3>Editing Files</h3>
-<p>To edit a file in the text editor, click the name of the file you wish to 
-edit in the file browser and then click <strong>Open</strong>. This will then open 
-the file in the Text Editor screen. When finished editing the selected file 
-click <strong>Save</strong> button to save the file to IVLE.</p>
-<h3>Deleting Directories or Files</h3>
-<p>To delete a directory or file, open the <strong>More actions...</strong> drop 
-down box and click <strong>Delete</strong> under File actions. A pop-up window will 
-appear to confirm that you really wish to delete the file.</p>
-
+<p>The IVLE file browser works rather like other file browsers. Upon opening it you will be presented with a series of icons representing the directories (the folder icons) and files (the paper icons) in your home directory.</p>
+
+<p>Clicking the name of a directory will open the directory, while clicking the name or icon of a directory or file will select it - multiple directories or files may be selected by toggling the checkboxes in the far left column. The breadcrumb trail at the top of the file browser window can be used to navigate to a directory higher in the hierarchy.</p>
+
+<h3>Performing actions</h3>
+<p>Most possible actions can be found immediately below the breadcrumbs, near the top of the file browser window. Those more often used can be seen immediately, while others are found inside the <strong>More actions...</strong> dropdown input.</p>
+
+<p>Actions will be enabled or disabled depending on the current directory and selected files or directories. Regardless of the state, hovering over any action will display a description.</p>
+
+<p>Note that although most actions will not require further input, some may display a prompt for confirmation or other input.</p>
+
+<h2>Common tasks</h2>
+<h3>Adding and removing files or directories</h3>
+<p>There are two methods of adding files to your IVLE home directory - <a href="#uploading_files">uploading files</a> from your local computer, and creating new files or directories.</p>
+
+<p>Creation actions can be found inside the <strong>Directory actions</strong> section of the <strong>More actions...</strong> dropdown, as <strong>New Directory</strong> and <strong>New File</strong>. In either case, a prompt will be displayed to request the name of the new path.</p>
+
+<p>Deletion is accomplished in a similar manner. The <strong>Delete</strong> file action will always prompt before performing the removal, to protect you from potentially destructive mistakes. Please note that directories are removed recursively - all of their contents will be removed as well!</p>
+
+<h3>Editing files</h3>
+<p>The IVLE file browser also includes a handy text editor. This is easily accessed by means of the <strong>Open</strong> action on any file. The editor behaves much like traditional text editing applications, but has some features that you may not have seen before - syntax highlighting and line numbers, for example.</p>
+
+<p>Whilst inside the editor, a subset of the usual directory actions are available, as well as some editor-specific features. Saving behaves as in a normal application - <strong>Save As...</strong> requests a new file name (prompting to overwrite if needed), with <strong>Save</strong> using the existing filename. Although the appropriate syntax highlighting language should be automatically detected, it may be overridden with the dropdown input in the editor actions area.</p>
+
+<p>To return to a directory listing, use the breadcrumbs at the top of the editor window.</p>
+
+<h3><a name="uploading_files">Uploading files</a></h3>
+<p>IVLE offers a simple facility to upload files from your local computer, through the <strong>Upload File</strong> directory action. If the <strong>Unpack zip file</strong> checkbox is selected and the file is a ZIP file, the contents will be extracted into the current directory. This eases uploading of large numbers of files or complex directory hierarchies. Unchecking this option allows upload of the ZIP file itself to your home directory.</p>
+
+<h3>Copying and moving files and directories</h3>
+<p>The <strong>Cut</strong> and <strong>Copy</strong> file actions and the <strong>Paste</strong> directory action allow easy copying and moving of files or entire directory trees. They work quite similarly to the functions in normal file browsers - selecting one or more files and selecting <strong>Cut</strong> or <strong>Copy</strong> will attach them to the clipboard. Navigating to another directory and selecting <strong>Paste</strong> will move or copy the file to that directory respectively.</p>

=== modified file 'www/apps/console/help.html'
--- www/apps/console/help.html	2008-07-21 13:46:52 +0000
+++ www/apps/console/help.html	2008-07-21 23:53:43 +0000
@@ -1,30 +1,24 @@
-<p>The IVLE <strong>console</strong> is a programming console for python which 
-provides features similar to the built in python command line console or <a 
-href="http://en.wikipedia.org/wiki/IDLE_(Python)">IDLE GUI</a>.<p>
-
-<h2>Getting Started with Console</h2>
-<h3>Entering python code</h3>
-<p>Using the console is fairly straight forward. Simply enter in any valid 
-python code into the input text box located just to the right of the 
-<code>&gt;&gt;&gt;</code> marks at the bottom of the screen. Once finished 
-simply press ENTER to execute that line.</p>
+<p>The IVLE <strong>Console</strong> is a programming console for Python which provides features similar to the Python command line console or <a href="http://en.wikipedia.org/wiki/IDLE_(Python)">IDLE</a> GUI.</p>
+
+<h2>Getting started</h2>
+<h3>Entering Python code</h3>
+<p>Using the console is fairly straightforward. Enter any valid Python code into the input text box located just to the right of the prompt (<code>&gt;&gt;&gt;</code>) at the bottom of the screen. When the line is complete, press ENTER to execute the code.</p>
+
 <div class="example" style="border: solid 1px black; padding: 0.5em">
     <label id="console_prompt">&gt;&gt;&gt;&nbsp;</label>
     <input id="console_inputText"
-      type="text" size="80" value="print 'Hello, world!'" readonly />
-    <input type='button' value='Interrupt' disabled />
-    <input type='button' value='Clear Output' disabled />
+     type="text" size="80" value="print 'Hello, world!'" readonly="readonly" />
+    <input type='button' value='Interrupt' disabled="disabled" />
+    <input type='button' value='Clear Output' disabled="disabled" />
 </div>
-<p>Sometimes statements may expect more than 1 line, for example after an 
-<code>if</code> or <code>for</code> statements. This is indicated by 
-<code>...</code> to the left of the input box. Complete the command by typing 
-in any additional lines and then press ENTER with an empty line to execute the 
-code block.</p>
-<p>Finally, some commands may expect input from the user (such as 
-<code>raw_input() function</code>). In this case <code>+++</code> will be shown 
-next to to the input text box to indicate that the console is expecting some 
-input from the user.</p>
-<h3>Console output</h3>
+
+<p>Sometimes Python may expect additional lines of input - for example, after the <code>if</code> or <code>for</code> statements. This condition is indicated by a <code>...</code> prompt next to the input. Complete the command by entering additional lines as required. Press ENTER with an empty line to mark the code block as complete and execute it.</p>
+
+<p>Finally, some commands (such as <code>raw_input()</code>) may expect further input from the user. In this case the prompt will be replaced with <code>+++</code> to indicate that input other than Python code is required.</p>
+
+<p>Please note that the console will time out after a period of inactivity. This has a similar result (and thus similar ramifications) to <a href="#restarting">restarting the console manually</a>.</p>
+
+<h3>Interpreting output</h3>
 <div class="example">
     <div id="console_body">
         <div style="background-color: gray; border: 2px solid black; padding:       
@@ -41,38 +35,25 @@
         <span style="color:#800">&gt;&gt;&gt; </span>
         <span style="color:gray">print i</span><br/>
         2
-        <code>
+        </code>
     </div>
     <div id="console_inputArea">
-        <label id="console_prompt">&gt;&gt;&gt;&nbsp;</label>
-        <input id="console_inputText" type="text" size="80" value="print i+2" 
-        readonly />
-        <input type='button' value='Interrupt' disabled />
-        <input type='button' value='Clear Output' disabled />
+        <label id="console_prompt_2">&gt;&gt;&gt;&nbsp;</label>
+        <input id="console_inputText_2" type="text" size="80" value="print i+2" 
+        readonly="readonly" />
+        <input type='button' value='Interrupt' disabled="disabled" />
+        <input type='button' value='Clear Output' disabled="disabled" />
     </div>
 </div>
 
-<p>All the commands you have entered as well as their output are shown in the 
-text area above the input box. Lines beginning with a <code style="color: 
-#800">&gt;&gt;&gt;</code> are your input lines, while lines in read (such as 
-<code style="color: red">invalid syntax (&lt;input&gt;, line 1)
-</code>) are errors or exceptions generated by your code.</p>
-<h3>Console history</h3>
-<p>You can also see all the lines you have previously entered into the console 
-this session by pressing the UP arrow while in the text box. Pressing the DOWN 
-arrow will show you more recent line histories or bring you back to your 
-current line. You can even re-execute a line just by pressing the ENTER 
-key.</p>
+<p>Each line that you have entered - as well as any output produced - is shown in the text area above the input. Lines beginning with a normal prompt (<code style="color: #800">&gt;&gt;&gt;</code>) are your input lines, while lines in red (such as <code style="color: red">invalid syntax (&lt;input&gt;, line 1)</code>) are generated errors or exceptions. Other lines are normal output from your code.</p>
+
+<h3>Reviewing history</h3>
+<p>The IVLE console maintains a log of all entered commands in order to allow simple repetition of history. The up and down arrow keys will scroll backwards and forwards through the input history. As with any other line of code, pressing ENTER will execute the line currently in the input.</p>
 
 <h2>When things go wrong...</h2>
 <h3>Interrupting commands</h3>
-<p>It is possible to enter commands that will make the console become unusable 
-or spend a long time attempting to run your command. (For example, infinite 
-loops like <code>while True: print "Hello, world!"</code>). You can stop 
-execution of a loop by clicking on the <strong>Interrupt</strong> button which will 
-allow you to enter commands again.</p>
-<h3>Restarting the console</h3>
-<p>If things go really wrong, you can restart the console simply by clicking 
-the <strong>Console</strong> button to start a new console. Be aware that you will 
-loose all the variables and functions you had entered in to your previous 
-console.</p>
+<p>It is possible to enter commands that will render the console unusable or take a long time to complete (infinite loops like <code>while True: print "Hello, world!"</code>, for example). You may terminate execution of the current command with the <em>Interrupt</em> button. This should allow you to resume entering of commands.</p>
+
+<h3><a name="restarting">Restarting the console</a></h3>
+<p>If things go really wrong, you can restart the console simply by clicking the <em>Console</em> tab. Be aware that you will lose all state (such as variables and functions) entered into your previous console session.</p>

